Creates a copy of a SolrDocument object

- « SolrDocument::clear

- SolrDocument::__construct »

- PHP Manual
- SolrDocument
- Creates a copy of a SolrDocument object

# SolrDocument::__clone

(PECL solr >= 0.9.2)

SolrDocument::__clone — Creates a copy of a SolrDocument object

### Description

public SolrDocument::__clone(): void

Creates a copy of a SolrDocument object. Not to be called directly.

### Parameters

This function has no parameters.

### Return Values

None.